{        *********************************************************       }
{        *                   BBB_TYPE.PAS 1.0                    *       }
{        *            Desined by Vladimir V. Vasil'ev            *       }
{        *               Last changing was 21.05.94              *       }
{        *         ᯮ㥬 "騥" ⨯        *       }
{        *********************************************************       }

{$A-,B-,D-,E-,F-,G-,I-,L-,N-,O-,P-,Q-,R-,S-,T-,V-,X-,Y-}

Unit BBB_type;

{$I BBB_DEF.INC}

Interface

(*
{$IfDef Windows}
uses SysUtils;
{$EndIf}
*)

type
   {- ⥫  ⠭ ⨯ -}
      tPtrChar = ^char;
      tPtrByte = ^byte;
      tPtrWord = ^word;
      tPtrBoolean = ^boolean;
      tPtrLong = ^longint;
      tPtrString = ^string;

   {- ⢠ -}
      tByteSet = set of byte;
      tCharSet = set of char;

   {- ᨢ  㪠⥫   -}
      tByteArr0 = array [0..$FFF0-1] of byte;
      tByteArr1 = array [1..$FFF0] of byte;
      tPtrByteArr0 = ^tByteArr0;
      tPtrByteArr1 = ^tByteArr1;

      tCharArr0 = array [0..$FFF0-1] of char;
      tCharArr1 = array [1..$FFF0] of char;
      tPtrCharArr0 = ^tCharArr0;
      tPtrCharArr1 = ^tCharArr1;

      tBooleanArr0 = array [0..$FFF0-1] of Boolean;
      tBooleanArr1 = array [1..$FFF0] of Boolean;
      tPtrBooleanArr0 = ^tBooleanArr0;
      tPtrBooleanArr1 = ^tBooleanArr1;

      tWordArr0 = array [0..$FFF0 div SizeOf(Word)-1] of Word;
      tWordArr1 = array [1..$FFF0 div SizeOf(Word)] of Word;
      tPtrWordArr0 = ^tWordArr0;
      tPtrWordArr1 = ^tWordArr1;

      tIntArr0 = array [0..$FFF0 div SizeOf(integer)-1] of integer;
      tIntArr1 = array [1..$FFF0 div SizeOf(integer)] of integer;
      tPtrIntArr0 = ^tIntArr0;
      tPtrIntArr1 = ^tIntArr1;

      tLongArr0 = array [0..$FFF0 div SizeOf(longint)-1] of longint;
      tLongArr1 = array [1..$FFF0 div SizeOf(longint)] of longint;
      tPtrLongArr0 = ^tLongArr0;
      tPtrLongArr1 = ^tLongArr1;

      tPointerArr0 = array [0..$FFF0 div SizeOf(pointer)-1] of pointer;
      tPointerArr1 = array [1..$FFF0 div SizeOf(pointer)] of pointer;
      tPtrPointerArr0 = ^tPointerArr0;
      tPtrPointerArr1 = ^tPointerArr1;

      tCompArr0 = array [0..$FFF0 div SizeOf(comp)-1] of comp;
      tCompArr1 = array [1..$FFF0 div SizeOf(comp)] of comp;
      tPtrCompArr0 = ^tCompArr0;
      tPtrCompArr1 = ^tCompArr1;

      tStringArr0 = array [0..$FFF0 div SizeOf(String)-1] of string;
      tStringArr1 = array [1..$FFF0 div SizeOf(String)] of string;
      tPtrStringArr0 = ^tStringArr0;
      tPtrStringArr1 = ^tStringArr1;

  {  ࠢ ⮢ }
      tCompareResult = (crLESS, crEQUAL, crGREATER);

      function InvertCompareResult (vRes : tCompareResult) : tCompareResult;

(*
  { Delphi }
{$IfDef Windows}
 type SearchRec = TSearchRec;
{$EndIf}
*)

Implementation

function InvertCompareResult (vRes : tCompareResult) : tCompareResult;
begin
  case (vRes) of
    crLESS :     InvertCompareResult := crGREATER;
    crEQUAL :    InvertCompareResult := crEQUAL;
    crGREATER :  InvertCompareResult := crLESS;
    else         InvertCompareResult := vRes;
  end;  { case (vRes) }
end;  { InvertCompareResult }


end.
